> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Suno API скачивания файлов

> Используйте Suno API скачивания файлов, чтобы получить треки в форматах mp3, m4a или wav для доставки, обмена и дальнейшей обработки.

Скачайте один или несколько аудиоформатов существующего трека Suno. Поддерживаемые форматы: `mp3`, `m4a`, `wav`. В ответе вернутся URL для каждого запрошенного формата. Стоимость — **0.2 quota**. См. [цены на аудио](/grids/ru/start/pricing/audio#suno).

<Warning>
  **Важно по тарификации:** Каждый успешный вызов списывает **0.2 quota**. Повторные запросы для того же `music_id` или файла также тарифицируются заново. Кэшируйте полученные URL и избегайте лишних повторных вызовов.
</Warning>


## OpenAPI

````yaml openapi/ru/suno.json POST /suno/v1/download
openapi: 3.1.0
info:
  title: Документация TTAPI API
  version: 1.0.0
  description: Suno AI Музыка API
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /suno/v1/download:
    post:
      description: Скачать музыкальные файлы в указанных форматах (mp3, m4a, wav).
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                music_id:
                  type: string
                  description: Идентификатор песни
                  example: 518c74ee-62ac-4ccd-b3d9-7003acd12ad7
                formats:
                  type: array
                  description: 'Аудиоформаты для скачивания. Поддерживаются: mp3, m4a, wav.'
                  items:
                    type: string
                    enum:
                      - mp3
                      - m4a
                      - wav
                  example:
                    - wav
              required:
                - music_id
                - formats
      responses:
        '200':
          description: Запрос выполнен успешно
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: SUCCESS
                  message:
                    type: string
                    example: success
                  data:
                    type: object
                    properties:
                      jobId:
                        type: string
                        description: Идентификатор задачи
                        example: 3c092ede-342a-47f6-81df-4a0fdc5c1ec0
                      music_id:
                        type: string
                        description: Идентификатор песни
                        example: 518c74ee-62ac-4ccd-b3d9-7003acd12ad7
                      files:
                        type: array
                        description: Скачанные файлы для каждого запрошенного формата.
                        items:
                          type: object
                          properties:
                            format:
                              type: string
                              description: Формат файла
                              example: wav
                            file_url:
                              type: string
                              description: URL для скачивания файла
                              example: >-
                                https://cdn.ttapi.io/suno/20260902/43e4a6989a0949468b84caf9f9a54a11.wav
                          required:
                            - format
                            - file_url
                    required:
                      - jobId
                      - music_id
                      - files
                required:
                  - status
                  - message
                  - data
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: Ошибка параметров
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Ошибка авторизации
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Вы можете получить API-ключ в <a href='https://dashboard.ttapi.io'
        target='_blank'>панель управления TTAPI</a>.

````